aboutsummaryrefslogtreecommitdiffstats
path: root/manual/appnotes.sh
diff options
context:
space:
mode:
Diffstat (limited to 'manual/appnotes.sh')
-rwxr-xr-xmanual/appnotes.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/manual/appnotes.sh b/manual/appnotes.sh
new file mode 100755
index 000000000..f816956ab
--- /dev/null
+++ b/manual/appnotes.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -ex
+for job in APPNOTE_010_Verilog_to_BLIF APPNOTE_011_Design_Investigation
+do
+ [ -f $job.ok -a $job.ok -nt $job.tex ] && continue
+ if [ -f $job/make.sh ]; then
+ cd $job
+ bash make.sh
+ cd ..
+ fi
+ old_md5=$([ -f $job.aux ] && md5sum < $job.aux || true)
+ while
+ pdflatex -shell-escape -halt-on-error $job.tex
+ new_md5=$(md5sum < $job.aux)
+ [ "$old_md5" != "$new_md5" ]
+ do
+ old_md5="$new_md5"
+ done
+ touch $job.ok
+done
+